//  

// wrench diameter plus some play
//wdia = 3.2; // for 2.5mm
//wdia = 3.1; // for 2.4mm  3/32"
wdia = 2.5; // for 2.0mm
//wdia = 2.0; // for 1.5mm
//wdia = 1.75; // for 1.25mm


// Round handle dims for 2mm -2.5mm
outsidedia = 8; 
Rhandledia = 15;
Rhandlelen = 40;
crossheight = 17;

// Round handle dims for <2mm
//outsidedia = 6;
//Rhandledia = 10;
//Rhandlelen = 30;
//crossheight = 15;



wrad = wdia/2;
outrad = outsidedia/2;
Rhandlerad = Rhandledia/2;
crosslength = 17;


difference () {
	union () {
		
		
		difference () {
		
			union () {
			cylinder (h = Rhandlelen/2, r1 = outrad, r2 = Rhandlerad, $fn = 30);
			translate ([0, 0, Rhandlelen/2])
				cylinder (h = Rhandlelen/2, r = Rhandlerad, $fn = 30);
			} // union
			
			
			rotate (a = [0, 0, 22.5])
			translate ([Rhandlerad, 0, 0])
				cylinder (h = Rhandlelen, r = Rhandlerad/5, $fn = 30);
			rotate (a = [0, 0, 67.5])
			translate ([Rhandlerad, 0, 0])
				cylinder (h = Rhandlelen, r = Rhandlerad/5, $fn = 30);
			rotate (a = [0, 0, 112.5])
			translate ([Rhandlerad, 0, 0])
				cylinder (h = Rhandlelen, r = Rhandlerad/5, $fn = 30);
			rotate (a = [0, 0, 157.5])
			translate ([Rhandlerad, 0, 0])
				cylinder (h = Rhandlelen, r = Rhandlerad/5, $fn = 30);				
						
					
		} // difference
		
		translate ([0, 0, Rhandlelen-1.1])
			rotate_extrude (convexity = 10)
			translate ([Rhandlerad-0.5,0,0])
			circle (r = 1.5, $fn = 30);
		
		
		// rounded bottom
		sphere (r = outrad, center = true, $fn = 30);

	} // union 

	// slice it in half
	translate ([0, -50, 0])
		cube (size = 100, center = true);

	// cut out grove for the allen wrench
	translate ([0, 0, -(outrad+1)])
		cylinder (h =crossheight+outrad+1, r = wrad, $fn = 30);

	translate ([-wrad, 0, crossheight])
		rotate (a = [0, 90, 0])
			cylinder (h =crosslength+wrad+outrad+1, r = wrad, $fn = 30);
			
		
	difference () {
				
		translate ([wdia, 0, crossheight-wdia])
			rotate (a = [90, 0, 0])
			rotate_extrude (convexity = 10, $fn =30)
			translate ([wdia, 0, 0])
				circle (r = wrad, $fn = 30);
						
		translate ([wdia+15, 0, crossheight])
			cube (size = [30, 30, 30], center = true);
						
		translate ([0, 0, crossheight-wdia-15])
			cube (size = [30, 30, 30], center = true);
						
	} // difference			
			
	difference () {
				
		translate ([2*wdia, 0, crossheight-2*wdia])
			rotate (a = [90, 0, 0])
			rotate_extrude (convexity = 10, $fn =30)
			translate ([2*wdia, 0, 0])
				circle (r = wrad, $fn = 30);
						
		translate ([2*wdia+15, 0, crossheight])
			cube (size = [30, 30, 30], center = true);
						
		translate ([0, 0, crossheight-2*wdia-15])
			cube (size = [30, 30, 30], center = true);
						
	} // difference				
			
	difference () {
				
		translate ([3*wdia, 0, crossheight-3*wdia])
			rotate (a = [90, 0, 0])
			rotate_extrude (convexity = 10, $fn =30)
			translate ([3*wdia, 0, 0])
				circle (r = wrad, $fn = 30);
						
		translate ([3*wdia+15, 0, crossheight])
			cube (size = [30, 30, 30], center = true);
						
		translate ([0, 0, crossheight-3*wdia-15])
			cube (size = [30, 30, 30], center = true);
						
	} // difference				


} // difference

translate ([crosslength*1.5, 0, 0])
difference () {
	union () {
	
		difference () {
			union () {
			cylinder (h = Rhandlelen/2, r1 = outrad, r2 = Rhandlerad, $fn = 30);
			translate ([0, 0, Rhandlelen/2])
				cylinder (h = Rhandlelen/2, r = Rhandlerad, $fn = 30);
			} // union
			
			rotate (a = [0, 0, 22.5])
			translate ([Rhandlerad, 0, 0])
				cylinder (h = Rhandlelen, r = Rhandlerad/5, $fn = 30);
			rotate (a = [0, 0, 67.5])
			translate ([Rhandlerad, 0, 0])
				cylinder (h = Rhandlelen, r = Rhandlerad/5, $fn = 30);
			rotate (a = [0, 0, 112.5])
			translate ([Rhandlerad, 0, 0])
				cylinder (h = Rhandlelen, r = Rhandlerad/5, $fn = 30);
			rotate (a = [0, 0, 157.5])
			translate ([Rhandlerad, 0, 0])
				cylinder (h = Rhandlelen, r = Rhandlerad/5, $fn = 30);	
						
					
		} // difference
		
		translate ([0, 0, Rhandlelen-1.1])
			rotate_extrude (convexity = 10)
			translate ([Rhandlerad-0.5,0,0])
			circle (r = 1.5, $fn = 30);
		
			
		sphere (r = outrad, center = true, $fn = 30);	

	} // union 

	// slice it in half
	translate ([0, -25, 20])
		cube (size = 50, center = true);

		
translate ([0, 0, 0]) {
	// cut out grove for the allen wrench
	translate ([0, 0, -(outrad+1)])
		cylinder (h =crossheight+outrad+1, r = wrad, $fn = 30);

	translate ([wrad, 0, crossheight])
		rotate (a = [0, -90, 0])
			cylinder (h =crosslength+wrad+outrad+1, r = wrad, $fn = 30);
			

	difference () {
				
		translate ([-wdia, 0, crossheight-wdia])
			rotate (a = [90, 0, 0])
			rotate_extrude (convexity = 10, $fn =30)
			translate ([wdia, 0, 0])
				circle (r = wrad, $fn = 30);
						
		translate ([-wdia-15, 0, crossheight])
			cube (size = [30, 30, 30], center = true);
						
		translate ([0, 0, crossheight-wdia-15])
			cube (size = [30, 30, 30], center = true);
						
	} // difference			
			
			
	difference () {
				
		translate ([-2*wdia, 0, crossheight-2*wdia])
			rotate (a = [90, 0, 0])
			rotate_extrude (convexity = 10, $fn =30)
			translate ([2*wdia, 0, 0])
				circle (r = wrad, $fn = 30);
						
		translate ([-2*wdia-15, 0, crossheight])
			cube (size = [30, 30, 30], center = true);
						
		translate ([0, 0, crossheight-2*wdia-15])
			cube (size = [30, 30, 30], center = true);
						
	} // difference				
	
	
	difference () {
				
		translate ([-3*wdia, 0, crossheight-3*wdia])
			rotate (a = [90, 0, 0])
			rotate_extrude (convexity = 10, $fn =30)
			translate ([3*wdia, 0, 0])
				circle (r = wrad, $fn = 30);
						
		translate ([-3*wdia-15, 0, crossheight])
			cube (size = [30, 30, 30], center = true);
						
		translate ([0, 0, crossheight-3*wdia-15])
			cube (size = [30, 30, 30], center = true);
						
	} // difference				
}

} // difference

